require 'spec_helper'

describe Splicer::Rackspace::Config do
  let(:config) { Splicer::Rackspace::Config.new(api_key: 'api_key', username: 'username', email: 'email@example.com') }

  describe '#initialize' do
    subject { config }

    it "should find :api_key to be equal to 'api_key'" do
      expect(config.api_key).to eq('api_key')
    end

    it "should find :username to be equal to 'username'" do
      expect(config.username).to eq('username')
    end

    it "should find :email to be equal to 'email@example.com'" do
      expect(config.email).to eq('email@example.com')
    end
  end

  describe '#provider' do
    subject { config.provider }
    it { should be_a(Splicer::Rackspace::Provider) }
  end
end
