# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'splicer/rackspace/version'

Gem::Specification.new do |spec|
  spec.name = 'splicer-rackspace'
  spec.version = Splicer::Rackspace::VERSION
  spec.authors = ['Oliver Garcia']
  spec.email = ['oliver@pressable.com']
  spec.description = 'The Splicer adapter for interacting Rackspace Cloud DNS'
  spec.summary = 'Use this gem together with Splicer if you are using multiple DNS providers, and want a unified interface to manage each of them simultaneously'
  spec.homepage = 'https://github.com/pressable/splicer-rackspace'
  spec.license = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'splicer', '~> 2.2', '>= 2.2.0'
  spec.add_dependency 'fog', '~> 1.29'

  spec.add_development_dependency 'bundler', '~> 1.3', '>= 1.3.0'
  spec.add_development_dependency 'rake', '~> 10.4', '>= 10.4.0'
  spec.add_development_dependency 'rspec', '~> 3.4.0', '>= 3.4.0'
end
